Subject: Re: [patch net-next v3 04/17] net: introduce generic switch devices support

From: Jamal Hadi Salim <[email-masked]>
Date: Tue, 25 Nov 2014 10:51:03 -0500

On 11/25/14 05:28, Jiri Pirko wrote:
> The goal of this is to provide a possibility to support various switch
> chips. Drivers should implement relevant ndos to do so. Now there is
> only one ndo defined:
> - for getting physical switch id is in place.
>

I am not sure switch id is the right term. I have a network processor
that *does not* do switching. I am not sure if "chip" or "ASIC" or
"offload_id" would be the right term. switch doesnt sound right.

cheers,
jamal